Skip to main content
`Ctrl`+`K`

# PCMGSetType

Determines the form of multigrid to use, either multiplicative, additive, full, or the Kaskade algorithm.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetType(PC pc, PCMGType form)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- form - multigrid form, one of `PC_MG_MULTIPLICATIVE`, `PC_MG_ADDITIVE`, `PC_MG_FULL`, `PC_MG_KASKADE`

## Options Database Key

- -pc_mg_type form - Sets form, one of multiplicative, additive, full, kaskade

## See Also

KSP: Linear System Solvers, `PCMGType`, `PCMG`, `PCMGGetLevels()`, `PCMGSetLevels()`, `PCMGGetType()`, `PCMGCycleType`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mg.c

## Examples

src/ksp/ksp/tutorials/ex42.c
src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages